#!/usr/bin/env python
# DT Home
#  Bin Command
#
# Douglas Thrift
#
# bincmd.py

#  Copyright 2012 Douglas Thrift
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

import os.path
import subprocess
import sys

_bin = os.path.join(os.path.dirname(os.path.dirname(subprocess.check_output('where git'))), 'bin')

def cmd(command, args = None):
    if args is None:
        args = sys.argv[1:]

    exe = os.path.join(_bin, "%s.exe" % command)

    assert os.path.isfile(exe)

    sys.exit(subprocess.call([command] + args, executable = exe))
